package com.example.eatwell.view.mainActivity

import android.util.Log
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.ui.graphics.Color
import androidx.navigation.NavController
import kotlinx.coroutines.delay
import java.lang.reflect.Modifier
import androidx.compose.material3.Text
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.sp
import com.example.eatwell.view.ui.theme.knopka
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material3.Text

import androidx.compose.runtime.LaunchedEffect
import androidx.compose.ui.Alignment
import androidx.lifecycle.ViewModel
import com.example.eatwell.Resources
import com.example.eatwell.model.Category
import com.example.eatwell.model.Diets
import com.example.eatwell.view.MainViewModel
import com.example.eatwell.view.ui.theme.fon


@Composable
fun Start(navController: NavController) {


    ///   Resources.categories = viewModel.getCategory() as ArrayList<Category>
    // Используем LaunchedEffect для навигации через 5 секунд
    LaunchedEffect(Unit) {

        delay(2000) // Задержка в 5 секунд
        navController.navigate("auth")

    }



    Box(
        modifier = androidx.compose.ui.Modifier
            .fillMaxSize()
            .background(knopka),
        contentAlignment = Alignment.Center
    ) {
        Text(
            text = "EatWell",
            fontWeight = FontWeight.Bold,
            fontSize = 32.sp,
            color = Color.White
        )
    }
}